Displaying 19 results from an estimated 19 matches for "log_progress_msg".
2009 May 27
3
This guy must be an idiot
OK, can someone tell me what utterly moronic thing I am doing wrong?
I have two roughly identical Linux system running NUT, and one works
properly. The other almost does. The second system works well once
everything is up, but after booting, the system does not have connectivity
to the UPS. I have to manually run `upsdrvctl start backup`,
`/etc/init.d/nut start`, and `upsd` to get NUT
2014 Oct 12
2
Bug#764912: xen-utils-common: needs to apply SE Linux labels after creating directories in start script
...t;
XENSTORED="$ROOT"/bin/xenstored
XENSTORED_PIDFILE="/var/run/xenstore.pid"
modules_setup()
{
modprobe xenfs 2>/dev/null
modprobe xen-evtchn 2>/dev/null
modprobe xen-gntdev 2>/dev/null
}
xenfs_setup()
{
[ -e "/proc/xen/capabilities" ] && return 0
log_progress_msg "xenfs"
[ -d "/proc/xen" ] || return 1
mount -t xenfs xenfs /proc/xen || return 1
return 0
}
capability_check()
{
[ -e "/proc/xen/capabilities" ] || return 1
grep -q "control_d" /proc/xen/capabilities || return 1
return 0
}
env_setup()
{
[ -d /run/xen...
2014 Mar 23
1
Bug#742397: xen-utils-common: /etc/init.d/dom0weight is hardcoded to use xm
...t;
XENSTORED="$ROOT"/bin/xenstored
XENSTORED_PIDFILE="/var/run/xenstore.pid"
modules_setup()
{
modprobe xenfs 2>/dev/null
modprobe xen-evtchn 2>/dev/null
modprobe xen-gntdev 2>/dev/null
}
xenfs_setup()
{
[ -e "/proc/xen/capabilities" ] && return 0
log_progress_msg "xenfs"
[ -d "/proc/xen" ] || return 1
mount -t xenfs xenfs /proc/xen || return 1
return 0
}
capability_check()
{
[ -e "/proc/xen/capabilities" ] || return 1
grep -q "control_d" /proc/xen/capabilities || return 1
return 0
}
env_setup()
{
[ -d /run/xen...
2012 Jun 24
3
Bug#678719: xen-utils-common: please label all created directories for SE Linux
...t;
XENSTORED="$ROOT"/bin/xenstored
XENSTORED_PIDFILE="/var/run/xenstore.pid"
modules_setup()
{
modprobe xenfs 2>/dev/null
modprobe xen-evtchn 2>/dev/null
modprobe xen-gntdev 2>/dev/null
}
xenfs_setup()
{
[ -e "/proc/xen/capabilities" ] && return 0
log_progress_msg "xenfs"
[ -d "/proc/xen" ] || return 1
mount -t xenfs xenfs /proc/xen || return 1
return 0
}
capability_check()
{
[ -e "/proc/xen/capabilities" ] || return 1
grep -q "control_d" /proc/xen/capabilities || return 1
return 0
}
xend_start()
{
if [ -z "...
2011 Jul 18
0
CyberPower USB UPS fails to cut power during shutdown
...eboot stop
fi
else
log_action_msg "Power down flag is not set (UPS shutdown not
needed)"
fi
else
if [ -z "$flag" ] ; then
log_daemon_msg
"##########################################################"
log_progress_msg "## POWERDOWNFLAG is not defined in
/etc/nut/upsmon.conf ##"
log_progress_msg
"## ##"
log_progress_msg "## Please read the Manual page
upsmon.conf(5) ##"
log_progress_msg...
2015 Mar 26
3
SSL only working in DEBUG mode
2015-03-26 9:03 GMT+01:00 Arnaud Quette <arnaud.quette at gmail.com>:
> Hey mister M'
>
> A first huge thanks for taking care of this, and so late in the night. I
> know that it's not easy...
>
> (sent from my S3... please excuse my brevity)
> Le 25 mars 2015 18:49, "Emilien Kia" <kiae.dev at gmail.com> a ?crit :
>
> >
> >
>
2014 Aug 15
1
ctdb event script 50.samba does not start smbd
...mon_msg "Starting Samba daemons"
install -o root -g root -m 755 -d $PIDDIR
NMBD_DISABLED=`testparm -s --parameter-name='disable
netbios' 2>/dev/null`
if [ "$NMBD_DISABLED" != 'Yes' ]; then
log_progress_msg "nmbd"
if ! start-stop-daemon --start --quiet --oknodo
--exec /usr/local/samba/sbin/nmbd -- -D
then
log_end_msg 1
exit 1
fi
fi...
2014 Nov 27
0
Bug#770456: Bug#770456: Please start a qemu process in domain 0.
...hat situation the dpkg starts a qemu which cannot attach
properly and in the end both hang and qemu has to be killed hard(er). All a bit
ugly. So this is likely nothing you need but just in case:
(see https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=763831)
-Stefan
xenstored_start()
{
log_progress_msg "xenstored"
+ #
+ # Work-around kernel regression where short name links of
+ # /proc/$$/exe get replaced on rename unconditionally. This
+ # should be fixed in the kernel but hitting a bad kernel is
+ # fatal with starting qemu in dom0 (dpkg/qemu hangs).
+...
2010 Sep 19
3
Bug#597403: xen-utils-common: need to run restorecon in /etc/init.d/xend on SE Linux systems
..."$XEND" ] || exit 0
[ -r /etc/default/xend ] && . /etc/default/xend
. /lib/init/vars.sh
. /lib/lsb/init-functions
modules_setup()
{
modprobe xenfs 2>/dev/null
modprobe xen-evtchn 2>/dev/null
}
xenfs_setup()
{
[ -e "/proc/xen/capabilities" ] && return 0
log_progress_msg "xenfs"
[ -d "/proc/xen" ] || return 1
mount -t xenfs xenfs /proc/xen || return 1
return 0
}
capability_check()
{
[ -e "/proc/xen/capabilities" ] || return 1
grep -q "control_d" /proc/xen/capabilities || return 1
return 0
}
xend_start()
{
log_progress_...
2014 Nov 21
3
Bug#770456: Please start a qemu process in domain 0.
..." = 2 ] && return 2
start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec "$XENCONSOLED"
[ "$?" = 2 ] && return 2
- rm -f $PIDFILE
+ rm -f $XENCONSOLED_PIDFILE
return "$RETVAL"
}
+qemu_start()
+{
+ [ -x $QEMU ] || return 0
+ log_progress_msg "qemu"
+ qemu_start_real
+ return $?
+}
+
+qemu_stop()
+{
+ [ -x $QEMU ] || return 0
+ log_progress_msg "qemu"
+ qemu_stop_real
+ return $?
+}
+
+qemu_restart()
+{
+ [ -x $QEMU ] || return 0
+ log_progress_msg "qemu"
+ qemu_stop_real
+ case "$?" in
+ 0|1)
+...
2014 Nov 27
3
Bug#770456: Bug#770456: Please start a qemu process in domain 0.
On Thu, 2014-11-27 at 11:02 +0100, Stefan Bader wrote:
> On 21.11.2014 13:50, Ian Campbell wrote:
> > Package: xen-utils-common
> > Version: 4.4.0-1
> > Severity: important
> > Tags: patch
> >
> > Under some circumstances the xl toolstack needs to create a loopback
> > mount of a guest disk in dom0 (e.g. in order to run pygrub). Depending
> > on
2014 Mar 24
0
Samba documentation feedback: installation guide for AD join
...ur PIDDIR, even if it's on a tmpfs
install -o root -g root -m 755 -d $PIDDIR
# NMBD_DISABLED=`testparm -s --parameter-name='disable netbios' 2>/dev/null`
# if [ "$NMBD_DISABLED" != 'Yes' ]; then
# log_progress_msg "nmbd"
# if ! start-stop-daemon --start --quiet --oknodo --exec /usr/local/samba/sbin/nmbd -- -D
# then
# log_end_msg 1
# exit 1
# fi
# fi...
2015 Mar 29
0
SSL only working in DEBUG mode
...linux-init-process expert).
>
I'm running Ubuntu Server 14.04 in all the servers I maintain and also use
NUT. The process is started with the following command in
/etc/init.d/nut-server:
start-stop-daemon -S -p $upsd_pid -x $upsd \
-- $UPSD_OPTIONS >/dev/null 2>&1 &&
log_progress_msg "upsd" || log_progress_msg "(upsd failed)"
and obviously, a backslash is missing on the second line! (line 83 on the
real script) So even if it fails, the next command (log_process_msg) will
always start as if the previous command returned 0 (OK). This script always
write "...
2014 Dec 01
2
Bug#770456: Bug#770456: Bug#770456: Please start a qemu process in domain 0.
...hanging we had around earlier.
Anyway, your diff seems to only add some code to xenstored_start, I was
expecting a change to qemu_start -- did you find that code was OK in the
end? Or did you end up switching to --exec?
Thanks,
Ian.
> -Stefan
>
> xenstored_start()
> {
> log_progress_msg "xenstored"
> + #
> + # Work-around kernel regression where short name links of
> + # /proc/$$/exe get replaced on rename unconditionally. This
> + # should be fixed in the kernel but hitting a bad kernel is
> + # fatal with starting qemu in do...
2015 Jan 22
5
Ubuntu delta against 4.5.0-1 in experimental for disussion
...L" = 2 ] && return 2
start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec
"$XENCONSOLED"
[ "$?" = 2 ] && return 2
- rm -f $PIDFILE
+ rm -f $XENCONSOLED_PIDFILE
return "$RETVAL"
}
+qemu_start()
+{
+ [ -x $QEMU ] || return 0
+ log_progress_msg "qemu"
+ qemu_start_real
+ return $?
+}
+
+qemu_stop()
+{
+ [ -x $QEMU ] || return 0
+ log_progress_msg "qemu"
+ qemu_stop_real
+ return $?
+}
+
+qemu_restart()
+{
+ [ -x $QEMU ] || return 0
+ log_progress_msg "qemu"
+ qemu_stop_real
+ case "$?" in
+ 0|1)
+...
2009 Nov 19
1
Bug#557151: /etc/init.d/xend: xend does not start with non pvops kernel
...2009-11-19 23:03:38.000000000 +0100
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/sh
### BEGIN INIT INFO
# Provides: xend
# Required-Start: $remote_fs
@@ -41,7 +41,7 @@
[ "$(awk '($2 == "/proc/xen") { print $2 }' /proc/mounts)" ] && return 0
log_progress_msg "xenfs"
[ -d "/proc/xen" ] || return 1
- mount -t xenfs xenfs /proc/xen || return 1
+ mount -t xenfs xenfs /proc/xen 2>/dev/null
return 0
}
-- System Information:
Debian Release: squeeze/sid
APT prefers unstable
APT policy: (500, 'unsta...
2012 Jan 13
2
Bug#655714: xcp-squeezed: fails to install due to insserv rejecting the script header
Package: xcp-squeezed
Version: 1.3-13
Severity: serious
User: debian-qa at lists.debian.org
Usertags: piuparts piuparts.d.o
Hi,
during a test with piuparts I noticed your package failed to install due to
incorrect dependencies in the init.d LSB header. Some debian notes are
available from at http://wiki.debian.org/LSBInitScripts
From the attached log (scroll to the bottom...):
Selecting
2012 Feb 29
2
Bug#655301: Status check for Wheezy
...usr/lib/xen-common/bin/xen-toolstack
/usr/lib/xen-4.1/bin/xm
Now in the xend script, I see:
TOOLSTACK=$(/usr/lib/xen-common/bin/xen-toolstack 2>/dev/null)
and further...
xend_start()
{
if [ -z "$XEND" ] || [ "$(basename "$TOOLSTACK")" != xm ]; then
return 0
fi
log_progress_msg "xend"
Given that, even with xapi enabled, xen-toolstack reports me that the
stack is xm. And TOOLSTACK value from /etc/default/xen is not honored by
xend init script. It determines the TOOLSTACK value right in its script.
Where do we want to fix it?
I have filed bug: http://bugs.deb...
2019 Feb 10
21
[PATCH 00/13] Patch blast of salsa wip.testme branch
The contents are the wip.testme branch currently on salsa. I combined
the wip.initscript and wip.oxenstored into this and added more things
today. I think this is pretty gtg and it's smoke tested (in several
cases by scping files around instead of doing package build), so it
needs a final extra review and test round before putting it in master
branch (which I don't want to force push).
I